Đến nội dung


Hình ảnh
* * * * - 7 Bình chọn

[Hỏi]Đố vui với LISP


  • Please log in to reply
391 replies to this topic

#261 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5447 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 13 October 2012 - 09:46 PM

Câu đố ở bài #250 xem như chưa có lời giải đáp ngon, trừ bác Duy đưa ra lời giải chính thống. Tôi chờ và đưa sẽ đưa ra đáp án sau.
Câu đố mới cuối tuần:
Tôi có 1 string mà các ký tự cách nhau bởi 1 ký tự trống, ví dụ như "1 2 3 4 5 6...".
Hỏi: hãy thiết lập hàm để chuyển string này thành 1 list, ví dụ tương ứng (1 2 3 4 5 6...).
Điều kiện: hàm mà bạn thiết lập phải sử dụng số lượng hàm ít nhất.
  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#262 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5678 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 13 October 2012 - 10:47 PM

Read + strcat :)
Câu hỏi cũ chắc bác Hạ dùng 1 cluster nào đó có sẵn
  • 1

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#263 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5447 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 14 October 2012 - 10:29 AM

@Ketxu: bác tẩu hỏa nhập ma :lol:
@Hoan: lỡ hứa với bạn, nhưng đang bận, nên chừ mới mần xong lisp. Thằng này chơi hàng hoạt chứ không chơi lẻ tẻ vài ba em nhọc sức.
http://www.cadviet.c..._tiep_tuyen.dwg
Hình đã gửi


;Doan Van Ha - CADViet.com - Ngay 14/10/2012
;Muc dich: Ve cac tiep tuyen voi Curve, song song voi 1 line cho truoc.
(defun C:HA( / ent1 ent2 pd pc len1 len2 goc n m px1 kc1 px2 kc2 px3 kc3)
(if (not cal) (arxload "geomcal"))
(setq ent1 (car (entsel "\nChon duong thang: ")))
(setq ent2 (car (entsel "\nChon Curve: ")))
(setq pd (vlax-curve-getStartPoint ent2))
(setq pc (vlax-curve-getEndPoint ent2))
(setq len1 (vlax-curve-getDistAtParam ent1 (vlax-curve-getEndParam ent1)))
(setq len2 (vlax-curve-getDistAtParam ent2 (vlax-curve-getEndParam ent2)))
(setq goc (angle (setq p1 (cdr (assoc 10 (entget ent1)))) (setq p2 (cdr (assoc 11 (entget ent1))))))
(setq n 1000 m (/ len2 n) kc (- m)) ;do chinh xac 1000, co the edit so nay.
(repeat (- n 2)
(setq px1 (GetP pd pc (setq kc (+ m kc)) ent2))
(setq kc1 (cal "dpl(px1,p1,p2)"))
(setq px2 (GetP pd pc (+ kc m) ent2))
(setq kc2 (cal "dpl(px2,p1,p2)"))
(setq px3 (GetP pd pc (+ kc m m) ent2))
(setq kc3 (cal "dpl(px3,p1,p2)"))
(if
(or (and (> kc1 kc2) (> kc3 kc2)) (and (< kc1 kc2) (< kc3 kc2)))
(entmake (list (cons 0 "LINE") (cons 10 (polar px2 goc (/ len1 2))) (cons 11 (polar px2 (+ goc pi) (/ len1 2))))))))
;----- L&#202;y &#174;i&#211;m p tr&#170;n Curve c&#184;ch pg kho&#182;ng c&#184;ch kc, v&#237;i ph l&#181; &#174;i&#211;m &#174;&#222;nh h&#173;&#237;ng tr&#170;n Curve.
(defun GetP (pg ph kc cur / dg dh dp)
(setq dg (vlax-curve-getDistAtPoint cur pg))
(setq dh (vlax-curve-getDistAtPoint cur ph))
(if (> dh dg)
(setq dp (+ dg kc))
(setq dp (- dg kc)))
(vlax-curve-getPointAtDist cur dp))

  • 1

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#264 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 14 October 2012 - 10:40 AM

Câu đố ở bài #250 xem như chưa có lời giải đáp ngon, trừ bác Duy đưa ra lời giải chính thống. Tôi chờ và đưa sẽ đưa ra đáp án sau.
Câu đố mới cuối tuần:
Tôi có 1 string mà các ký tự cách nhau bởi 1 ký tự trống, ví dụ như "1 2 3 4 5 6...".
Hỏi: hãy thiết lập hàm để chuyển string này thành 1 list, ví dụ tương ứng (1 2 3 4 5 6...).
Điều kiện: hàm mà bạn thiết lập phải sử dụng số lượng hàm ít nhất.

Có 1 list : (setq tso '(d b g a h c e f i))
Câu đố : Sắp xếp List theo thứ tự :
(a b c d e f g h i)
Câu trả lời của bác DoanVan Ha ở đây là không đúng :
(vl-sort tso '(lambda (e1 e2) (< e1 e2))) -> sai

Nguồn : http://www.cadviet.c...80
Mời các bác tiếp tục.....
  • 1

#265 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5447 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 14 October 2012 - 10:46 AM

Chuyện sơ ý giữa "a" và a, chưa kịp srr, sao nhắc hoài ở 2 topic nhỉ?
  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#266 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 14 October 2012 - 10:48 AM

Chuyện sơ ý giữa "a" và a, chưa kịp srr, sao nhắc hoài ở 2 topic nhỉ?

Hì, Tue_NV tiện thể đem luôn qua đây để giải luôn mà :)
  • 0

#267 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5447 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 14 October 2012 - 11:04 AM

Phương án: dùng 2 hàm read và vl-prin1-to-string chắc được.
  • 1

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#268 hoan2182

hoan2182

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2646 Bài viết
Điểm đánh giá: 832 (rất tốt)

Đã gửi 14 October 2012 - 03:42 PM

@Ketxu: bác tẩu hỏa nhập ma :lol:
@Hoan: lỡ hứa với bạn, nhưng đang bận, nên chừ mới mần xong lisp. Thằng này chơi hàng hoạt chứ không chơi lẻ tẻ vài ba em nhọc sức.
http://www.cadviet.c..._tiep_tuyen.dwg
Hình đã gửi



;Doan Van Ha - CADViet.com - Ngay 14/10/2012
;Muc dich: Ve cac tiep tuyen voi Curve, song song voi 1 line cho truoc.
(defun C:HA( / ent1 ent2 pd pc len1 len2 goc n m px1 kc1 px2 kc2 px3 kc3)
(if (not cal) (arxload "geomcal"))
(setq ent1 (car (entsel "\nChon duong thang: ")))
(setq ent2 (car (entsel "\nChon Curve: ")))
(setq pd (vlax-curve-getStartPoint ent2))
(setq pc (vlax-curve-getEndPoint ent2))
(setq len1 (vlax-curve-getDistAtParam ent1 (vlax-curve-getEndParam ent1)))
(setq len2 (vlax-curve-getDistAtParam ent2 (vlax-curve-getEndParam ent2)))
(setq goc (angle (setq p1 (cdr (assoc 10 (entget ent1)))) (setq p2 (cdr (assoc 11 (entget ent1))))))
(setq n 1000 m (/ len2 n) kc (- m)) ;do chinh xac 1000, co the edit so nay.
(repeat (- n 2)
(setq px1 (GetP pd pc (setq kc (+ m kc)) ent2))
(setq kc1 (cal "dpl(px1,p1,p2)"))
(setq px2 (GetP pd pc (+ kc m) ent2))
(setq kc2 (cal "dpl(px2,p1,p2)"))
(setq px3 (GetP pd pc (+ kc m m) ent2))
(setq kc3 (cal "dpl(px3,p1,p2)"))
(if
(or (and (> kc1 kc2) (> kc3 kc2)) (and (< kc1 kc2) (< kc3 kc2)))
(entmake (list (cons 0 "LINE") (cons 10 (polar px2 goc (/ len1 2))) (cons 11 (polar px2 (+ goc pi) (/ len1 2))))))))
;----- L&#202;y &#174;i&#211;m p tr&#170;n Curve c&#184;ch pg kho&#182;ng c&#184;ch kc, v&#237;i ph l&#181; &#174;i&#211;m &#174;&#222;nh h&#173;&#237;ng tr&#170;n Curve.
(defun GetP (pg ph kc cur / dg dh dp)
(setq dg (vlax-curve-getDistAtPoint cur pg))
(setq dh (vlax-curve-getDistAtPoint cur ph))
(if (> dh dg)
(setq dp (+ dg kc))
(setq dp (- dg kc)))
(vlax-curve-getPointAtDist cur dp))

Em chưa thử xem lisp của bác, xem có nhanh hơn AutoCAD2013 không??? (AutoCAD2013 chỉ sử dụng 2 lệnh duy nhất thôi bác ạ)

Nhưng em vui lắm anh Hà ơi! :rolleyes: :rolleyes: (Xin phép bác Hà cho em gọi bác bằng anh như chị Hà em và em vẫn gọi anh Tuệ bằng anh cho thân mật, gọi bằng bác xã giao lắm. Em chưa biết tuổi bác bao nhiêu, cơ mà quan trọng gì về tuổi tác và cách xưng hô phải không anh? Em thì đã bước sang tuổi băm rồi, thời gian trôi đi nhanh quá... em sợ cái băm mốt, băm hai, băm ba, và ... băm chín lắm lắm ứ!
Làm anh khó lắm đấy anh Hà ạ! Này nhé: Nào là làm anh phải nhường nhịn em này, nào là sắp tới có thời gian rảnh em sẽ học lớp lisp của bác Ketxu, làm anh là phải kèm cặp em đến nơi đến chốn này. Nào là em có hay hỏi vặt làm anh cũng phải nể tình mà gõ đầu nhè nhẹ như một cánh hoa rơi vào đầu em thôi này.....hi hi@ :rolleyes:

Về cái câu đố của chị Hà em, chị nói với em là tiếp theo câu đố ấy, chị Hà em sẽ ra câu đố về vẽ các đường tiếp tuyến chung giữa hai em... lip ( hình ellipse) có vị trí bất kỳ.
Về cách vẽ các đường tiếp tuyến chung giữa hai hình ellipse em vẫn chưa biết cách làm đâu, hỏi chị Hà em , chị không nói bắt em phảit tự nghĩ .
Thôi thì tiện đây em cũng cầm đèn chạy trước xe tăng, nhờ anh viết luôn lisp nhé, em thích lisp lắm!

Xin mời các bác cùng thư giãn: Vẽ nhanh các đường tiếp tuyến chung giữa hai hình ellipse có vị trí bất kỳ???
Điều kiện đính kèm: Sử dụng AutoCAD hoặc sử dụng AuotLISP miễn là phải nhanh!
  • 0

Gió đưa cây cải về trời

Rau răm ở lại chịu lời đắng cay...


#269 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5678 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 14 October 2012 - 04:25 PM

@hoan2182 : mình cứ đinh ninh những cách vẽ này dùng XLine là ra (chưa test) ? Mà bên này là sử dụng lisp hoan2182 nhé ^^
  • 1

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#270 hoan2182

hoan2182

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2646 Bài viết
Điểm đánh giá: 832 (rất tốt)

Đã gửi 14 October 2012 - 08:05 PM

Em chưa test nhưng chắc là được anh Ketxu ạ!
Mà bên này là sử dụng lisp hoan2182 nhé ^^ : Vâng ạ, em hiểu rồi!

Dù sao thì em vẫn cám ơn anh chủ thớt Ketxu rất nhiều! Nhờ có thớt của anh mà đố vui AutoCAD được giải bằng AutoLISP. Nếu cứ để nó bên AutoCAD thì chắc là ....không bao giờ có :
<pre class="cadvietlispcode">;Doan Van Ha - CADViet.com - Ngay 14/10/2012;Muc dich: Ve cac tiep tuyen voi Curve, song song voi 1 line cho truoc.(defun C:HA( / ent1 ent2 pd pc len1 len2 goc n m px1 kc1 px2 kc2 px3 kc3)</pre>
  • 1

Gió đưa cây cải về trời

Rau răm ở lại chịu lời đắng cay...


#271 hoan2182

hoan2182

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2646 Bài viết
Điểm đánh giá: 832 (rất tốt)

Đã gửi 15 October 2012 - 11:52 AM

AutoCAD 2013 đúng là "siêu phẩm trong mơ" :“Giúp bạn quét các đối tượng dẽ dàng hơn, truy bắt điểm chính xác hơn với sự hỗ trợ hơn 2 tỷ điểm trên màn hình thao tác” (Nguồn : http://fullvn.com/au...ack-mediafire-2)

Anh Hà ơi! Em đã vừa chạy thử lisp của anh, hay thiệt đó, anh Hà ạ! Đúng như anh đã nói: "Thằng này chơi hàng hoạt chứ không chơi lẻ tẻ vài ba em nhọc sức." :rolleyes: :rolleyes:
Em đo thử khoảng cách 2 đường // kết quả:
Dimaligned = 41.33211356 (Hoan2182)
Dimaligned = 41.33072594 (Doan Van Ha)
Em hoang mang quá, nếu kết quả của em đúng thì anh chỉ đạt độ chính xác đến 0.00 và ngược lại…
Trong ngành chế tạo máy, sai lệnh cho phép giới hạn đến 0.000 , sản phẩn chỉ cần gia công chính xác đến 0.00 là máy đã chạy ầm ầm rồi. >>> Kết luận: Lisp của anh dùng được.
Em có thắc mắc, kết quả đo khác nhau, độ chính xác của một cái chỉ đạt 0.00 , vậy mà khi dùng lệnh trim cắt thử để kiểm tra sự tiếp xúc thì vẫn ổn mới khó hiểu?????
Bác nào quan tâm đến lisp này giải thích cho em với!
  • 0

Gió đưa cây cải về trời

Rau răm ở lại chịu lời đắng cay...


#272 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5447 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 15 October 2012 - 12:22 PM

Như anh đã nói từ đầu rồi mà Hoan: với những bài toán kiểu này lisp không đạt chính xác tuyệt đối được. Phương pháp chung là vi phân đường cong, mà đã vi phân thì không tuyệt đối. Em muốn tăng độ chính xác lên thì sửa con số 1000 thành 10000 hay 100000... (trong lisp ấy). Nhưng, hãy pha trà hay bỏ đá vô li để ngồi mà nhâm nhi nhé!
  • 1

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#273 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5447 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 16 October 2012 - 11:12 PM

Về cái câu đố của chị Hà em, chị nói với em là tiếp theo câu đố ấy, chị Hà em sẽ ra câu đố về vẽ các đường tiếp tuyến chung giữa hai em... lip ( hình ellipse) có vị trí bất kỳ.
Về cách vẽ các đường tiếp tuyến chung giữa hai hình ellipse em vẫn chưa biết cách làm đâu, hỏi chị Hà em , chị không nói bắt em phảit tự nghĩ .
Thôi thì tiện đây em cũng cầm đèn chạy trước xe tăng, nhờ anh viết luôn lisp nhé, em thích lisp lắm!
Xin mời các bác cùng thư giãn: Vẽ nhanh các đường tiếp tuyến chung giữa hai hình ellipse có vị trí bất kỳ???
Điều kiện đính kèm: Sử dụng AutoCAD hoặc sử dụng AuotLISP miễn là phải nhanh!

Vẽ tiếp tuyến chung của 2 ellipse với Cad thì mất... 3 giây:
XLINE >> TAN >> TAN.
Còn với lisp thì mất... 2 giây :lol: :

(defun C:HA()
(command "xline" "tan" pause "tan" pause))

  • 1

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#274 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1360 (rất tốt)

Đã gửi 17 October 2012 - 08:52 AM

Câu đố ở bài #250 xem như chưa có lời giải đáp ngon, trừ bác Duy đưa ra lời giải chính thống. Tôi chờ và đưa sẽ đưa ra đáp án sau.

Bác cho lời giải đi ạ!
  • 0

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#275 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5447 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 17 October 2012 - 09:01 AM

Tile1 :boxed_column
Tile2 :button
Tile3 :button
Tile4 :boxed_row
Tile5 :button
Tile6 :button

Lời giải:
Các tile 2,3,5,6 thì luôn phải là button như đáp án trên.
Riêng các tile 1 và 4 thì có thể:
1). Tile1: boxed_column hoặc column
2). Tile4: boxed_row hoặc row
Khi row hoặc column có labellabel khác chuỗi trống thì nó tương tự boxed_row và boxed_column!!!!!
  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#276 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1360 (rất tốt)

Đã gửi 17 October 2012 - 09:19 AM

Lời giải:
Các tile 2,3,5,6 thì luôn phải là button như đáp án trên.
Riêng các tile 1 và 4 thì có thể:
1). Tile1: boxed_column hoặc column
2). Tile4: boxed_row hoặc row
Khi row hoặc column có labellabel khác chuỗi trống thì nó tương tự boxed_row và boxed_column!!!!!

Vụ này mới à nha. Duy chưa test thử nhưng nó cũng có đường viền bao luôn vậy à bác Hà?
  • 0

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#277 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5447 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 17 October 2012 - 09:26 AM

Mới mới đố chứ cũ đố mần chi! :lol:
Gởi bác LSP+DCL để test cho lẹ. Bác có thể thay đổi để ra 4 tổ hợp.

(defun C:HA()
(new_dialog "HA" (load_dialog "Do_vui.dcl"))
(action_tile "cancel" "(done_dialog)")
(start_dialog))

HA
: dialog { label = "CavViet.com";
: column { label = "Tile 1";
: button { label = "Tile 2"; }
: button { label = "Tile 3"; }
: boxed_row { label = "Tile 4";
: button { label = "Tile 5"; }
: button { label = "Tile 6"; }
}
}
ok_cancel;
}

  • 1

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#278 hoan2182

hoan2182

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2646 Bài viết
Điểm đánh giá: 832 (rất tốt)

Đã gửi 17 October 2012 - 12:25 PM

Cái vụ "vẽ tiếp tuyến chung của 2 ellipse" với Cad thì mất... 3 giây:
XLINE >> TAN >> TAN.
Còn với lisp thì mất... 2 giây :lol: :
(Cái này gởi tặng chị Haanh của em đang về thăm quê luôn nhé!)


(defun C:HA()
(command "xline" "tan" pause "tan" pause))

Anh Hà "mần ăn" thế này thì lại toi đời thêm ít nhất là 1 con gà mái đang đẻ nhà em rồi... :rolleyes: :rolleyes: Dù là ăn chung ở trọ nhà của chị Hà em (Anh trai em lấy chị Hà em được bố mẹ chị ấy cho một cái ao nhỏ để tự san lấp làm nhà ở) nhưng em vẫn phải đính kèm thêm cả cái chuồng gà với bộ sưu tập hơn chục con gà mái đẻ. Em thích nuôi gà lắm anh ạ!

Rất có thể chị Haanh dị ứng với mùi phân gà nên thường xuyên kiếm cớ để phạt em. Mà chị Haanh cũng nhắng lắm anh Hà ạ! Mỗi lần em có lỗi gì, dù rất nhỏ chị ấy không mắng đâu nhé, chị ấy chỉ tươi cười ra chuồng gà chọn 1 con béo nhất để thịt ...gọi là hình phạt của đi thay người! HIi ...hi... của đau con xót lắm, vậy mà em vẫn phải cười ....rõ to để chị ấy vui... :D

Mục tiêu ra câu đố của chị Haanh là để động viên, lôi kéo mọi người cùng ra câu đố, cùng khai thác hết tiềm năng của AutoCAD. Phong cách ra câu đố của chị Hà em là câu đố sẽ được nâng cấp dần từ dễ đến khó...việc này chỉ có anh Tuệ là người hiểu rõ cái sự đong đưa đỏng đảnh của chị Haanh thôi, anh Hà ạ!

Lỗi tại em đã cầm đèn chạy trước... xe tăng đã thách nhà giầu húp ...nước mắm chinsu cá hồi. Nên khi đột nhập vào nông trại của anh Ketxu chưa đầy ba ngày, em đã bị anh tóm sống bằng động tác lia chân của môn vật tự do XLINE >> TAN >> TAN, mà chưa cần phải dùng đến chiêu MIRROR!

Em lo quá anh Hà ơi! Lỗi phá hỏng câu đố của chị Haanh là rất nặng, rất có thể chị Haanh em sẽ phạt cả đàn gà đẻ của em, mời bạn bè đến ăn nhậu tưng bừng ...rồi đập phá tan tành cái chuồng gà của em ra cho mà xem...
(Anh có thể bù lỗ cho em được không?)
P/S : Em chưa thử để xem độ chính xác của lisp nhưng em tin là lisp của anh dùng được!
  • 0

Gió đưa cây cải về trời

Rau răm ở lại chịu lời đắng cay...


#279 hoan2182

hoan2182

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2646 Bài viết
Điểm đánh giá: 832 (rất tốt)

Đã gửi 18 October 2012 - 07:44 AM

(Cái này gởi tặng chị Haanh của em đang về thăm quê luôn nhé!)

Em đã chuyển lời "gởi tặng chị Haanh'' của anh tới chị Hà em rồi, chị ấy vui lắm, anh ạ! Chị ấy gửi lời cảm ơn và chúc sức khỏe anh nhiều nhiều. Chị ấy cũng nhờ em nhấn Like This cho anh nhưng tiếc là vàng sáng nay lại tăng giá, anh ạ! Chắc còn lâu chị Hà em mới có dịp được giao lưu với anh, giờ chị ấy đang mê mải vẽ tranh phong cảnh núi rừng... Chị ấy cũng nhờ em chuyển lời hỏi thăm và chúc sức khỏe anh Tuệ, chị Svba1608 và bác Bình nữa.
P/s: -Chị Hà em cũng cảm ơn em đã cầm đèn chạy trước ô tô, chị ấy không thịt gà của em đâu, anh đừng lăn tăn vì phải bù lỗ cho em nhé!
Mời các bác đam mê viết lisp theo yêu cầu, nghiên cứu trước giúp em cái này:
http://www.cadviet.c...showtopic=67159
  • 0

Gió đưa cây cải về trời

Rau răm ở lại chịu lời đắng cay...


#280 hoan2182

hoan2182

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2646 Bài viết
Điểm đánh giá: 832 (rất tốt)

Đã gửi 02 November 2012 - 10:50 PM

@ Hoằn: ^_^ Viết được 2 cái lisp nhỏ nhắn xinh xắn sao không gửi em nó lên nhờ các bác góp ý, rồi chỉnh sửa cho hoàn thiện, sao cứ khoe mãi thế hả em?!

Anh Hoanghaiyp ơi, em Hoằn vẫn chưa biết cách làm video, em Hoằn định làm cái video cho hoành tráng nhưng anh đã nói thế, em Hoằn chiều ý của anh là mô tả bằng hình ảnh:
Hình đã gửiHình vẽ trên của em Hoằn vẽ bông hoa rau muống rừng. Lisp của em Hoằn có tên là lisp3Darray.
(Có thể array được Rectangular Array & Polar Array).
Ap > Load Lisp...>> Chọn bông hoa to >>> Gõ lệnh lisp....>>>> Được 64 bông hoa to => Xong phần Lisp!
(Lệnh AutoCAD >>>>>>>> Scale để được 64 bông hoa nhỏ).

Bữa trước anh Hà đã tóm sống em Hoằn, khi mang câu đố từ AutoCAD sang đây (Giải bằng lisp xem phía trên).
Câu đố vẽ các đường tiếp tuyến chung của hai hình ellipse của chị Haanh bên AutoCAD, Hoằn để lộ ra ở đây, cũng bị anh Hà tóm sống. (Xem lời giải ở phía trên)
Bữa ni với câu đố giải bằng lisp này không biết ai sẽ là người tóm sống em đây???
(Để giải đố chỉ cần vẽ khối vuông hoặc khối trụ đơn giản cũng được)
  • 0

Gió đưa cây cải về trời

Rau răm ở lại chịu lời đắng cay...